<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>OperationEvaluationContext (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="OperationEvaluationContext (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/OperationEvaluationContext.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/formula/NameIdentifier.html"
               title="class in org.apache.poi.ss.formula"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/formula/SharedFormula.html"
               title="class in org.apache.poi.ss.formula"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/formula/OperationEvaluationContext.html" target="_top">Frames</a>
        </li>
        <li><a href="OperationEvaluationContext.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.formula</div>
    <h2 title="Class OperationEvaluationContext" class="title">Class OperationEvaluationContext</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.ss.formula.OperationEvaluationContext</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">OperationEvaluationContext</span>
extends java.lang.Object</pre>
                <div class="block">Contains all the contextual information required to evaluate an operation
                    within a formula

                    For POI internal use only
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/formula/functions/FreeRefFunction.html"
                                        title="interface in org.apache.poi.ss.formula.functions">FreeRefFunction</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/OperationEvaluationContext.html#UDF">UDF</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/OperationEvaluationContext.html#OperationEvaluationContext-org.apache.poi.ss.formula.WorkbookEvaluator-org.apache.poi.ss.formula.EvaluationWorkbook-int-int-int-org.apache.poi.ss.formula.EvaluationTracker-">OperationEvaluationContext</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                        title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a>&nbsp;bookEvaluator,
                                    <a href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                       title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a>&nbsp;workbook,
                                    int&nbsp;sheetIndex,
                                    int&nbsp;srcRowNum,
                                    int&nbsp;srcColNum,
                                    org.apache.poi.ss.formula.EvaluationTracker&nbsp;tracker)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/OperationEvaluationContext.html#OperationEvaluationContext-org.apache.poi.ss.formula.WorkbookEvaluator-org.apache.poi.ss.formula.EvaluationWorkbook-int-int-int-org.apache.poi.ss.formula.EvaluationTracker-boolean-">OperationEvaluationContext</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                        title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a>&nbsp;bookEvaluator,
                                    <a href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                       title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a>&nbsp;workbook,
                                    int&nbsp;sheetIndex,
                                    int&nbsp;srcRowNum,
                                    int&nbsp;srcColNum,
                                    org.apache.poi.ss.formula.EvaluationTracker&nbsp;tracker,
                                    boolean&nbsp;isSingleValue)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/functions/FreeRefFunction.html"
                                        title="interface in org.apache.poi.ss.formula.functions">FreeRefFunction</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/OperationEvaluationContext.html#findUserDefinedFunction-java.lang.String-">findUserDefinedFunction</a></span>(java.lang.String&nbsp;functionName)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/OperationEvaluationContext.html#getArea3DEval-org.apache.poi.ss.formula.ptg.Area3DPtg-">getArea3DEval</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Area3DPtg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Area3DPtg</a>&nbsp;aptg)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/OperationEvaluationContext.html#getArea3DEval-org.apache.poi.ss.formula.ptg.Area3DPxg-">getArea3DEval</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Area3DPxg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Area3DPxg</a>&nbsp;aptg)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/OperationEvaluationContext.html#getAreaEval-int-int-int-int-">getAreaEval</a></span>(int&nbsp;firstRowIndex,
                                    int&nbsp;firstColumnIndex,
                                    int&nbsp;lastRowIndex,
                                    int&nbsp;lastColumnIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/OperationEvaluationContext.html#getAreaValueEval-int-int-int-int-java.lang.Object:A:A-">getAreaValueEval</a></span>(int&nbsp;firstRowIndex,
                                    int&nbsp;firstColumnIndex,
                                    int&nbsp;lastRowIndex,
                                    int&nbsp;lastColumnIndex,
                                    java.lang.Object[][]&nbsp;tokens)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/OperationEvaluationContext.html#getColumnIndex--">getColumnIndex</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/OperationEvaluationContext.html#getDynamicReference-java.lang.String-java.lang.String-java.lang.String-java.lang.String-boolean-">getDynamicReference</a></span>(java.lang.String&nbsp;workbookName,
                                    java.lang.String&nbsp;sheetName,
                                    java.lang.String&nbsp;refStrPart1,
                                    java.lang.String&nbsp;refStrPart2,
                                    boolean&nbsp;isA1Style)</code>
                                    <div class="block">Resolves a cell or area reference dynamically.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/OperationEvaluationContext.html#getNameXEval-org.apache.poi.ss.formula.ptg.NameXPtg-">getNameXEval</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/NameXPtg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">NameXPtg</a>&nbsp;nameXPtg)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/OperationEvaluationContext.html#getNameXEval-org.apache.poi.ss.formula.ptg.NameXPxg-">getNameXEval</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/NameXPxg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">NameXPxg</a>&nbsp;nameXPxg)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/OperationEvaluationContext.html#getRef3DEval-org.apache.poi.ss.formula.ptg.Ref3DPtg-">getRef3DEval</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Ref3DPtg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ref3DPtg</a>&nbsp;rptg)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/OperationEvaluationContext.html#getRef3DEval-org.apache.poi.ss.formula.ptg.Ref3DPxg-">getRef3DEval</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Ref3DPxg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ref3DPxg</a>&nbsp;rptg)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/OperationEvaluationContext.html#getRefEval-int-int-">getRefEval</a></span>(int&nbsp;rowIndex,
                                    int&nbsp;columnIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>org.apache.poi.ss.formula.SheetRangeEvaluator</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/OperationEvaluationContext.html#getRefEvaluatorForCurrentSheet--">getRefEvaluatorForCurrentSheet</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/OperationEvaluationContext.html#getRowIndex--">getRowIndex</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/OperationEvaluationContext.html#getSheetIndex--">getSheetIndex</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/OperationEvaluationContext.html#getWorkbook--">getWorkbook</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/OperationEvaluationContext.html#isArraymode--">isArraymode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/OperationEvaluationContext.html#isSingleValue--">isSingleValue</a></span>()</code>
                                    <div class="block">default true</div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/OperationEvaluationContext.html#setArrayMode-boolean-">setArrayMode</a></span>(boolean&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="UDF">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>UDF</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/formula/functions/FreeRefFunction.html"
                                        title="interface in org.apache.poi.ss.formula.functions">FreeRefFunction</a> UDF</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="OperationEvaluationContext-org.apache.poi.ss.formula.WorkbookEvaluator-org.apache.poi.ss.formula.EvaluationWorkbook-int-int-int-org.apache.poi.ss.formula.EvaluationTracker-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>OperationEvaluationContext</h4>
                                <pre>public&nbsp;OperationEvaluationContext(<a
                                        href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                        title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a>&nbsp;bookEvaluator,
                                  <a href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                     title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a>&nbsp;workbook,
                                  int&nbsp;sheetIndex,
                                  int&nbsp;srcRowNum,
                                  int&nbsp;srcColNum,
                                  org.apache.poi.ss.formula.EvaluationTracker&nbsp;tracker)</pre>
                            </li>
                        </ul>
                        <a name="OperationEvaluationContext-org.apache.poi.ss.formula.WorkbookEvaluator-org.apache.poi.ss.formula.EvaluationWorkbook-int-int-int-org.apache.poi.ss.formula.EvaluationTracker-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>OperationEvaluationContext</h4>
                                <pre>public&nbsp;OperationEvaluationContext(<a
                                        href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                        title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a>&nbsp;bookEvaluator,
                                  <a href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                     title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a>&nbsp;workbook,
                                  int&nbsp;sheetIndex,
                                  int&nbsp;srcRowNum,
                                  int&nbsp;srcColNum,
                                  org.apache.poi.ss.formula.EvaluationTracker&nbsp;tracker,
                                  boolean&nbsp;isSingleValue)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="isArraymode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isArraymode</h4>
                                <pre>public&nbsp;boolean&nbsp;isArraymode()</pre>
                            </li>
                        </ul>
                        <a name="setArrayMode-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setArrayMode</h4>
                                <pre>public&nbsp;void&nbsp;setArrayMode(boolean&nbsp;value)</pre>
                            </li>
                        </ul>
                        <a name="getWorkbook--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getWorkbook</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a>&nbsp;getWorkbook()</pre>
                            </li>
                        </ul>
                        <a name="getRowIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRowIndex</h4>
                                <pre>public&nbsp;int&nbsp;getRowIndex()</pre>
                            </li>
                        </ul>
                        <a name="getColumnIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getColumnIndex</h4>
                                <pre>public&nbsp;int&nbsp;getColumnIndex()</pre>
                            </li>
                        </ul>
                        <a name="getRefEvaluatorForCurrentSheet--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRefEvaluatorForCurrentSheet</h4>
                                <pre>public&nbsp;org.apache.poi.ss.formula.SheetRangeEvaluator&nbsp;getRefEvaluatorForCurrentSheet()</pre>
                            </li>
                        </ul>
                        <a name="getDynamicReference-java.lang.String-java.lang.String-java.lang.String-java.lang.String-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDynamicReference</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                                    title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;getDynamicReference(java.lang.String&nbsp;workbookName,
                                     java.lang.String&nbsp;sheetName,
                                     java.lang.String&nbsp;refStrPart1,
                                     java.lang.String&nbsp;refStrPart2,
                                     boolean&nbsp;isA1Style)</pre>
                                <div class="block">Resolves a cell or area reference dynamically.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>workbookName</code> - the name of the workbook containing the reference.
                                        If <code>null</code>
                                        the current workbook is assumed. Note - to evaluate formulas which use multiple
                                        workbooks,
                                        a
                                        <a href="../../../../../org/apache/poi/ss/formula/CollaboratingWorkbooksEnvironment.html"
                                           title="class in org.apache.poi.ss.formula"><code>CollaboratingWorkbooksEnvironment</code></a>
                                        must be set up.
                                    </dd>
                                    <dd><code>sheetName</code> - the name of the sheet containing the reference. May be
                                        <code>null</code>
                                        (when <tt>workbookName</tt> is also null) in which case the current workbook and
                                        sheet is
                                        assumed.
                                    </dd>
                                    <dd><code>refStrPart1</code> - the single cell reference or first part of the area
                                        reference. Must not
                                        be <code>null</code>.
                                    </dd>
                                    <dd><code>refStrPart2</code> - the second part of the area reference. For single
                                        cell references this
                                        parameter must be <code>null</code></dd>
                                    <dd><code>isA1Style</code> - specifies the format for <tt>refStrPart1</tt> and <tt>refStrPart2</tt>.
                                        Pass <code>true</code> for 'A1' style and <code>false</code> for 'R1C1' style.
                                        TODO - currently POI only supports 'A1' reference style
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a <a href="../../../../../org/apache/poi/ss/formula/eval/RefEval.html"
                                             title="interface in org.apache.poi.ss.formula.eval"><code>RefEval</code></a>
                                        or <a href="../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                              title="interface in org.apache.poi.ss.formula.eval"><code>AreaEval</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="findUserDefinedFunction-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>findUserDefinedFunction</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/formula/functions/FreeRefFunction.html"
                                        title="interface in org.apache.poi.ss.formula.functions">FreeRefFunction</a>&nbsp;findUserDefinedFunction(java.lang.String&nbsp;functionName)</pre>
                            </li>
                        </ul>
                        <a name="getRefEval-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRefEval</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                                    title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;getRefEval(int&nbsp;rowIndex,
                            int&nbsp;columnIndex)</pre>
                            </li>
                        </ul>
                        <a name="getRef3DEval-org.apache.poi.ss.formula.ptg.Ref3DPtg-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRef3DEval</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                                    title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;getRef3DEval(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Ref3DPtg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ref3DPtg</a>&nbsp;rptg)</pre>
                            </li>
                        </ul>
                        <a name="getRef3DEval-org.apache.poi.ss.formula.ptg.Ref3DPxg-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRef3DEval</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                                    title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;getRef3DEval(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Ref3DPxg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ref3DPxg</a>&nbsp;rptg)</pre>
                            </li>
                        </ul>
                        <a name="getAreaEval-int-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAreaEval</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                                    title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;getAreaEval(int&nbsp;firstRowIndex,
                             int&nbsp;firstColumnIndex,
                             int&nbsp;lastRowIndex,
                             int&nbsp;lastColumnIndex)</pre>
                            </li>
                        </ul>
                        <a name="getArea3DEval-org.apache.poi.ss.formula.ptg.Area3DPtg-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getArea3DEval</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                                    title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;getArea3DEval(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Area3DPtg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Area3DPtg</a>&nbsp;aptg)</pre>
                            </li>
                        </ul>
                        <a name="getArea3DEval-org.apache.poi.ss.formula.ptg.Area3DPxg-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getArea3DEval</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                                    title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;getArea3DEval(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Area3DPxg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Area3DPxg</a>&nbsp;aptg)</pre>
                            </li>
                        </ul>
                        <a name="getAreaValueEval-int-int-int-int-java.lang.Object:A:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAreaValueEval</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                                    title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;getAreaValueEval(int&nbsp;firstRowIndex,
                                  int&nbsp;firstColumnIndex,
                                  int&nbsp;lastRowIndex,
                                  int&nbsp;lastColumnIndex,
                                  java.lang.Object[][]&nbsp;tokens)</pre>
                            </li>
                        </ul>
                        <a name="getNameXEval-org.apache.poi.ss.formula.ptg.NameXPtg-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNameXEval</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                                    title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;getNameXEval(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/NameXPtg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">NameXPtg</a>&nbsp;nameXPtg)</pre>
                            </li>
                        </ul>
                        <a name="getNameXEval-org.apache.poi.ss.formula.ptg.NameXPxg-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNameXEval</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                                    title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;getNameXEval(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/NameXPxg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">NameXPxg</a>&nbsp;nameXPxg)</pre>
                            </li>
                        </ul>
                        <a name="getSheetIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheetIndex</h4>
                                <pre>public&nbsp;int&nbsp;getSheetIndex()</pre>
                            </li>
                        </ul>
                        <a name="isSingleValue--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>isSingleValue</h4>
                                <pre>public&nbsp;boolean&nbsp;isSingleValue()</pre>
                                <div class="block">default true</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>flag indicating whether evaluation should "unwrap" the result to a single value
                                        based on the context row/column
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/OperationEvaluationContext.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/formula/NameIdentifier.html"
               title="class in org.apache.poi.ss.formula"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/formula/SharedFormula.html"
               title="class in org.apache.poi.ss.formula"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/formula/OperationEvaluationContext.html" target="_top">Frames</a>
        </li>
        <li><a href="OperationEvaluationContext.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
